StatsHub Docs
Endpoint referenceProps

/props/team-trends

PropsTeamTrends serves the endpoint.

POST
/api/v2/props/team-trends

PropsTeamTrends serves the endpoint.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v2/props/team-trends" \  -H "Content-Type: application/json" \  -d '{    "games": [      0.1    ],    "oddsRange": {      "from": 0,      "to": 0    },    "page": 0,    "pageSize": 0,    "sorting": {      "column": "string",      "direction": "string"    },    "statTypes": [      "string"    ]  }'
{  "$schema": "https://example.com/schemas/PropsTeamTrendsPostOKBody.json",  "data": [    {      "awayTeamId": 0,      "awayTeamName": "string",      "awayTeamSlug": "string",      "bookmakers": [        {          "bookmakerId": null,          "bookmakerName": null,          "oddsValue": 0.1        }      ],      "eventId": 0,      "eventTimestamp": 0,      "homeTeamId": 0,      "homeTeamName": "string",      "homeTeamSlug": "string",      "id": 0,      "leagueId": 0,      "leagueName": "string",      "line": 0.1,      "oddsType": "string",      "opponentHitRate": 0,      "opponentTeamId": 0,      "opponentTeamName": "string",      "opponentTeamSlug": "string",      "recentGames": [        {          "eventId": 0,          "eventTimestamp": 0,          "isHit": true,          "isHome": true,          "opponentId": 0,          "opponentName": "string",          "opponentSlug": "string",          "statValue": 0.1        }      ],      "statDisplay": "string",      "statType": "string",      "teamId": 0,      "teamName": "string",      "teamPrimaryColor": "string",      "teamSecondaryColor": "string",      "teamSlug": "string",      "trendAvg": 0.1,      "trendHits": 0,      "trendTotal": 0.1,      "trendWindow": 0    }  ],  "pagination": {    "property1": null,    "property2": null  }}